devel/appstream-glib - The NetBSD Packages Collection

GObjects and helper methods for AppStream metadata

This library provides GObjects and helper methods to make it easy to read and
write AppStream metadata. It also provides a simple DOM implementation that
makes it easy to edit nodes and convert to and from the standardized XML
representation. It also supports reading of Debian-style DEP-11 metadata.

What this library allows you to do:

 * Read and write compressed AppStream XML files
 * Read compressed Debian YAML files
 * Add and search for applications in an application store
 * Get screenshot image data and release announcements
 * Easily retrieve the best application data for the current locale
 * Efficiently interface with more heavy-weight parsers like expat

Build dependencies

pkgtools/x11-links devel/gperf x11/xorgproto x11/xcb-proto pkgtools/cwrappers textproc/docbook-xsl devel/glib2-tools devel/meson devel/pkgconf

Runtime dependencies

devel/glib2 devel/gobject-introspection devel/libuuid graphics/gdk-pixbuf2 net/libsoup textproc/json-glib textproc/libstemmer textproc/libyaml x11/gtk3 devel/glib2 devel/gobject-introspection graphics/gdk-pixbuf2 net/libsoup textproc/json-glib textproc/libyaml x11/gtk3

Binary packages

OSArchitectureVersion
NetBSD 9.0aarch64appstream-glib-0.7.18nb2.tgz
NetBSD 9.0aarch64appstream-glib-0.7.18nb1.tgz
NetBSD 9.0aarch64appstream-glib-0.7.18nb2.tgz
NetBSD 9.0earmappstream-glib-0.7.18nb1.tgz
NetBSD 9.0earmappstream-glib-0.7.18nb2.tgz
NetBSD 9.0earmappstream-glib-0.7.18nb2.tgz
NetBSD 9.0earmv6hfappstream-glib-0.7.18nb2.tgz
NetBSD 9.0earmv6hfappstream-glib-0.7.18nb1.tgz
NetBSD 9.0earmv6hfappstream-glib-0.7.18nb2.tgz
NetBSD 9.0earmv7hfappstream-glib-0.7.18nb2.tgz
NetBSD 9.0earmv7hfappstream-glib-0.7.18nb1.tgz
NetBSD 9.0earmv7hfappstream-glib-0.7.18nb2.tgz
NetBSD 9.0earmv7hfappstream-glib-0.7.18nb2.tgz
NetBSD 9.0i386appstream-glib-0.7.18nb1.tgz
NetBSD 9.0i386appstream-glib-0.7.18nb2.tgz
NetBSD 9.0i386appstream-glib-0.7.18nb2.tgz
NetBSD 9.0x86_64appstream-glib-0.7.18nb2.tgz
NetBSD 9.0x86_64appstream-glib-0.7.18nb2.tgz
NetBSD 9.0x86_64appstream-glib-0.7.18nb1.tgz
NetBSD 9.0x86_64appstream-glib-0.7.18nb2.tgz
NetBSD 9.0x86_64appstream-glib-0.7.18nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.